I mean, if you change configuration to akka.actor.allow-java-
serialization=off

On Thu, Feb 16, 2017 at 11:46 AM, Patrik Nordwall <patrik.nordw...@gmail.com
> wrote:

> We have not changed any defaults in 2.4.17, i.e. it is wire compatible
> with 2.4.16. It will not be wire compatible if you change configuration to
> akka.actor.allow-java-serialization=on.
>
> It's interesting that some classes around remote deployment are still
> using Java serialization. We have to look into that.
>
> On Thu, Feb 16, 2017 at 11:41 AM, Bert Robben <bert.rob...@gmail.com>
> wrote:
>
>> Hi Konrad,
>>
>> thanks for the quick reply. Let me try to be more specific.
>>
>> A couple of months ago, we turned "enable-additional-serialization" on
>> and tried to run without java serialization (so java.io.serializable = none
>> in serialization-bindings. Unfortunately, that didn't work (since several
>> classes such as akka.remote.RemoteScope, akka.actorScope etc) were still
>> relying on java serialization. Patrik then tolds us (see also
>> https://groups.google.com/forum/#!topic/akka-user/gTcK34_pVtw) that
>> remote deployment still needs Java serialization.
>>
>> So we thus kept "enable-additional-serialization" but left out the
>> java.io.serializable = none, and life was great.
>>
>> As I understood this, it means that still some Akka classes were using
>> java serialization, even with enable-additional-serialization turned on.
>> In my naive understanding, 2.4.17 removes all java serialization. As such
>> that would mean a node running 2.4.17 might no longer be able to talk to or
>> understand a node running an older version even with
>> "enable-additional-serialization" turned on. Am I too naive here?
>>
>>
>>
>> thanks,
>>
>> Bert
>>
>> On Monday, February 13, 2017 at 1:54:10 PM UTC+1, Konrad Malawski wrote:
>>>
>>> Please be more specific what you mean :-)
>>>
>>> Versions are compatible, sure.
>>>
>>> If you change the wire format, then it's of course not.
>>> If old nodes send java serialized messages, and you disable it on one
>>> node, it of course won't deserialize them - that is kind of the point.
>>>
>>> If your old nodes already use enable-additional-serialization-bindings then
>>> such rollout would work, since both sides use protobuf anyway always anyway.
>>> --
>>> Konrad `ktoso` Malawski
>>> Akka <http://akka.io> @ Lightbend <http://lightbend.com>
>>>
>>> On 13 February 2017 at 13:50:41, Bert Robben (bert....@gmail.com) wrote:
>>>
>>> Given I have a cluster running Akka version 2.4.16 (using various Akka
>>> distributed features such as sharding, cluster singleton, remote actor
>>> creation, etc). Would it be possible to do a rolling upgrade of the cluster
>>> and gradually upgrade all nodes to 2.4.17 ?
>>>
>>> From http://akka.io/news/2017/02/10/akka-2.4.17-released.html, its
>>> clear that this change is compatible, but it's not clear if that also means
>>> you can have half a cluster with the old version and the other half with
>>> the new version.
>>>
>>> thanks,
>>>
>>> Bert
>>> --
>>> >>>>>>>>>> Read the docs: http://akka.io/docs/
>>> >>>>>>>>>> Check the FAQ: http://doc.akka.io/docs/akka/c
>>> urrent/additional/faq.html
>>> >>>>>>>>>> Search the archives: https://groups.google.com/grou
>>> p/akka-user
>>> ---
>>> You received this message because you are subscribed to the Google
>>> Groups "Akka User List" group.
>>> To unsubscribe from this group and stop receiving emails from it, send
>>> an email to akka-user+...@googlegroups.com.
>>> To post to this group, send email to akka...@googlegroups.com.
>>> Visit this group at https://groups.google.com/group/akka-user.
>>> For more options, visit https://groups.google.com/d/optout.
>>>
>>> --
>> >>>>>>>>>> Read the docs: http://akka.io/docs/
>> >>>>>>>>>> Check the FAQ: http://doc.akka.io/docs/akka/c
>> urrent/additional/faq.html
>> >>>>>>>>>> Search the archives: https://groups.google.com/group/akka-user
>> ---
>> You received this message because you are subscribed to the Google Groups
>> "Akka User List" group.
>> To unsubscribe from this group and stop receiving emails from it, send an
>> email to akka-user+unsubscr...@googlegroups.com.
>> To post to this group, send email to akka-user@googlegroups.com.
>> Visit this group at https://groups.google.com/group/akka-user.
>> For more options, visit https://groups.google.com/d/optout.
>>
>
>
>
> --
>
> Patrik Nordwall
> Akka Tech Lead
> Lightbend <http://www.lightbend.com/> -  Reactive apps on the JVM
> Twitter: @patriknw
>
>


-- 

Patrik Nordwall
Akka Tech Lead
Lightbend <http://www.lightbend.com/> -  Reactive apps on the JVM
Twitter: @patriknw

-- 
>>>>>>>>>>      Read the docs: http://akka.io/docs/
>>>>>>>>>>      Check the FAQ: 
>>>>>>>>>> http://doc.akka.io/docs/akka/current/additional/faq.html
>>>>>>>>>>      Search the archives: https://groups.google.com/group/akka-user
--- 
You received this message because you are subscribed to the Google Groups "Akka 
User List" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to akka-user+unsubscr...@googlegroups.com.
To post to this group, send email to akka-user@googlegroups.com.
Visit this group at https://groups.google.com/group/akka-user.
For more options, visit https://groups.google.com/d/optout.

Reply via email to